#!/bin/bash
pos=0
echo "Enter $(date +%Y%m%d%H%M%S):"
for name in $(docker ps  --format "table {{.Names}}" | grep -v "NAMES" | grep android) 
do
	(
	echo "set docker:${name} log.tag"
	#docker exec -i ${name} /system/bin/setprop log.tag.VMI_Native ASSERT
	#docker exec -i ${name} /system/bin/setprop log.tag.VMI_Capture ASSERT
	#docker exec -i ${name} /system/bin/setprop log.tag.HWComposer ASSERT
	#docker exec -i ${name} /system/bin/setprop log.tag.chatty ASSERT
	#docker exec -i ${name} /system/bin/setprop log.tag.VMI_libDemoCommon ASSERT
	#docker exec -i ${name} /system/bin/setprop log.tag.Dsv2Trackstat ASSERT
	#docker exec -i ${name} /system/bin/setprop log.tag.LogoutDataHandler ASSERT
	#docker exec -i ${name} /system/bin/setprop log.tag.ODR_IReportHandler ASSERT
	docker exec -i ${name} mount -o rw,remount /
	docker cp ./toybox ${name}:/
	docker exec -i ${name} chmod 777 /toybox
        [ $? -eq 0 ] || echo "Fail to do cmd \"docker exec -i ${name} chmod 777 /toybox\""
	docker cp ./gettop.sh ${name}:/
        docker exec -i ${name} chmod 777 /gettop.sh
	[ $? -eq 0 ]    || echo "Fail to do cmd \"docker exec -i ${name} chmod 777 /gettop.sh\""
	docker exec -i ${name} rm /data/top_data.txt -rf
	) &
done
echo "Wait $(date +%Y%m%d%H%M%S)"
wait
echo "Exit $(date +%Y%m%d%H%M%S)"
